Package com.verisign.epp.codec.ttl.v1_0

## Class EPPTtlExtFactory

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPExtFactory
  - - com.verisign.epp.codec.ttl.v1_0.EPPTtlExtFactory

-     public class EPPTtlExtFactory
      extends EPPExtFactory

  Factory for the TTL Extension objects. The TTL Extension only supports command, response extensions with `createExtension`, but currently does not support protocol extensions with `createProtocolExtension`. Calling `createProtocolExtension` will result in an exception.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NS` | XML Namespace
    `static java.lang.String` | `NS_PREFIX` | XML Nameespace Prefix

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPTtlExtFactory()` | Default constructor for `EPPTtlExtFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPCodecComponent` | `createExtension​(org.w3c.dom.Element aExtensionElm)` | Creates a concrete `EPPCodecComponent` from an XML element that represents an EPP extension.
    `EPPProtocolExtension` | `createProtocolExtension​(org.w3c.dom.Element aExtensionElm)` | Creates a concrete `EPPProtocolExtension` from an XML element that represents an EPP protocol extension.
    `EPPService` | `getService()` | Gets the service information associated with the concrete `EPPExtFactory`.
    `java.util.Set` | `getXmlSchemas()` | Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final java.lang.String NS

      XML Namespace
      See Also:
        Constant Field Values

    - #### NS_PREFIX

          public static final java.lang.String NS_PREFIX

      XML Nameespace Prefix
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPTtlExtFactory

          public EPPTtlExtFactory()

      Default constructor for `EPPTtlExtFactory`.

  - ### Method Detail

    - #### createExtension

          public EPPCodecComponent createExtension​(org.w3c.dom.Element aExtensionElm)
                                            throws EPPCodecException

      Creates a concrete `EPPCodecComponent` from an XML element that represents an EPP extension.
      Specified by:
        `createExtension` in class `EPPExtFactory`
      Parameters:
        `aExtensionElm` - Extension XML element.
      Returns:
        Concrete `EPPCodecComponent` associated with the extension XML element.
      Throws:
        `EPPCodecException` - Error creating the concrete `EPPCodecComponent`

    - #### createProtocolExtension

          public EPPProtocolExtension createProtocolExtension​(org.w3c.dom.Element aExtensionElm)
                                                       throws EPPCodecException

      Creates a concrete `EPPProtocolExtension` from an XML element that represents an EPP protocol extension.
      Specified by:
        `createProtocolExtension` in class `EPPExtFactory`
      Parameters:
        `aExtensionElm` - extension XML element.
      Returns:
        Concrete `EPPProtocolExtension` associated with the extension XML element.
      Throws:
        `EPPCodecException` - Error creating the concrete `EPPProtocolExtension`

    - #### getService

          public EPPService getService()

      Gets the service information associated with the concrete `EPPExtFactory`. The service information is used by `EPPFactory` for extracting the XML namespace associated with the extension factory.
      Specified by:
        `getService` in class `EPPExtFactory`
      Returns:
        service description associated with the concrete `EPPExtFactory`.

    - #### getXmlSchemas

          public java.util.Set getXmlSchemas()

      Gets the list of XML schemas that need to be pre-loaded into the XML Parser.
      Overrides:
        `getXmlSchemas` in class `EPPExtFactory`
      Returns:
        `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
      See Also:
        `EPPMapFactory.getXmlSchemas()`